Do not enable OK buttons if dialogs are missing required fields

2018-02-19 01:35 PM - Johannes Kroeger

Status: Open

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26038

Description

I named this bug generally although I only have two specific examples.

#18144 mentions a dialog presenting OK and Cancel, both allowing to quit doing nothing.

The XYZ Connection dialog also let's the user proceed without entering a name. Without a name no connection will get saved so the

entered detail is lost if the user clicks OK.

This is also possible with the MSSQL, PostGIS, DB2 dialogs.

It is not working (i.e. set up great) for example in the ArcGISFeature- and -MapServer as well as WCS, WMS, WFS.

Please only enable OK buttons if things are OK. Otherwise do not let the user click OK.

Not sure if this style of issue is good, close at will (or if the examples are fixed). ;)

History

#1 - 2019-03-09 04:34 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#2 - 2019-03-16 10:17 PM - Johannes Kroeger

- Status changed from Feedback to Open

Replicated with PostGIS dialog in 3.6.0-Noosa. Did not try other dialogs.

#3 - 2019-03-16 10:18 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.6.0
